View Issue Details

IDProjectCategoryView StatusLast Update
16103Bug reportsSurvey takingpublic2020-06-19 16:49
Reportergabrieljenik Assigned Tocdorin  
PriorityhighSeverityblock 
Status resolvedResolutionfixed 
Product Version3.19.3 
Summary16103: Switching language without inline policy notice being ticked creates empty responses.
Description

When trying to switch language, limesurvey insists on the inline policy notice being ticked.
After ticking and moving forward with the survey, the answers are not saved and response is empty.

Steps To Reproduce

1 - On welcome, change language without accepting data policy
2 - Error message will be shown.
3 - Accept data policy
4 - Complete response
5 - Response will be empty.

Additional Information

Related to https://bugs.limesurvey.org/view.php?id=15345

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.19.3+191023
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Version7

Activities

ollehar

ollehar

2020-04-06 17:30

administrator   ~56982

Please update to the latest version and try again. Thank you.

gabrieljenik

gabrieljenik

2020-05-05 22:00

developer   ~57561

Last edited: 2020-06-11 22:38

Sory for the long delay.
Ues, this works ok now.

The only strange issue (I think on another topic) is that you can't change language until you have checked the "accept" checkbox.
I mean, if I don't understand french, should I accept french conditions before understanding them?

:)

Thanks!

gabrieljenik

gabrieljenik

2020-05-06 12:41

developer   ~57575

Last edited: 2020-06-11 22:38

On latest v3 (v3.22 build 2005005), seems not... Should I re test?

cdorin

cdorin

2020-05-06 13:23

manager   ~57582

Last edited: 2020-06-11 22:38

Yes, please do Gabriel.

gabrieljenik

gabrieljenik

2020-05-06 20:52

developer   ~57600

Last edited: 2020-06-11 22:38

View 2 revisions

I confirm it still happens on v3.22 build 2005005

gabrieljenik

gabrieljenik

2020-05-15 01:18

developer   ~57821

Last edited: 2020-06-11 22:38

View 2 revisions

I have moved all latest comments to story https://bugs.limesurvey.org/view.php?id=15345
@Dennis, you can remove your latest comment. I have already moved it to the other story and removed mines from this one.

gabrieljenik

gabrieljenik

2020-05-15 01:21

developer   ~57822

Last edited: 2020-06-11 22:38

Please, can you tell me if this is scheduled for fixing in the coming days/weeks?
I have a customer who will release soon and need to plan if doing a workaround.

Thanks!

gabrieljenik

gabrieljenik

2020-06-11 21:59

developer   ~58257

Last edited: 2020-06-11 22:38

Workaround: Hide language changer in the welcome page.

cdorin

cdorin

2020-06-11 22:39

manager   ~58258

Will talk to Patrick - I think he will have a bit of time to take a look at this one next week.

gabrieljenik

gabrieljenik

2020-06-17 22:56

developer   ~58328

Last edited: 2020-06-17 22:57

View 2 revisions

After some debugging:

  1. After language was changed, LEM was set to dirty.
  2. After showing the datapolicy error message, the process was killed, before the LEM was regenerated.
  3. Still, the regular display process got to save the dirty LEM on session.
  4. Then, when showing the first group, the InitDirtyStep is not called as it seems the LEM was dirty, but not TOO dirty.

We find a way to fix it, still the question is why the InitDirtyStep wasn't run?
Why the LEM got halfway dirty but not dirty enough to trigger InitDirtyStep ?

user225042

2020-06-19 12:51

  ~58353

I tested the issue by checking out to the branch ,but still i see the issue in my local(http://lts.local/index.php?r=admin/survey/sa/view&surveyid=275811) , I also checked in hosting(https://mbabremen.limequery.com/admin/survey/sa/view/surveyid/275811) it seems to work fine there. I have attached the lss file for more details refer the screenshots attached
Thank You

user225042

2020-06-19 13:14

  ~58354

System Information

SystemInfo.png (103,095 bytes)
gabrieljenik

gabrieljenik

2020-06-19 16:26

developer   ~58362

We have reviewed this. We were able to go through it. Look forward for new comments.

user225042

2020-06-19 16:34

  ~58363

Tested the issue by following below steps:
1.Create a new Survey
2.Added the Inline Text in Data Policy and Saved
3.Added additional languages
4.Added Groups and sub questions
5.Activated the survey and executed the survey
6.Changed the language(from the top bar at right) Inline text for data policy was displayed
7.Completed the survey
8.Now checked in the responses table

Results: A entry for selected language was added

Working as expected

16103_Responsesadded.png (82,513 bytes)   
16103_Responsesadded.png (82,513 bytes)   
guest

guest

2020-06-19 16:44

viewer   ~58364

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30201

Related Changesets

LimeSurvey: 3.x-LTS cb242433

2020-06-19 16:44:50

gabrieljenik


Committer: GitHub Details Diff
Fixed Issue 16103: Switching language without inline policy notice being ticked creates empty responses. (#1437) Affected Issues
16103
mod - application/helpers/SurveyRuntimeHelper.php Diff File

Issue History

Date Modified Username Field Change
2020-04-06 16:27 gabrieljenik New Issue
2020-04-06 17:30 ollehar Note Added: 56982
2020-04-06 17:30 ollehar Status new => feedback
2020-05-05 22:00 gabrieljenik Note Added: 57561
2020-05-05 22:00 gabrieljenik Status feedback => new
2020-05-06 12:41 gabrieljenik Note Added: 57575
2020-05-06 13:23 cdorin Note Added: 57582
2020-05-06 13:23 cdorin Assigned To => cdorin
2020-05-06 13:23 cdorin Status new => feedback
2020-05-06 20:52 gabrieljenik Note Added: 57600
2020-05-06 20:52 gabrieljenik Status feedback => assigned
2020-05-15 01:18 gabrieljenik Note Added: 57821
2020-05-15 01:19 gabrieljenik Note Edited: 57600 View Revisions
2020-05-15 01:21 gabrieljenik Note Added: 57822
2020-05-15 01:21 gabrieljenik Note Edited: 57821 View Revisions
2020-06-11 21:59 gabrieljenik Note Added: 58257
2020-06-11 22:38 cdorin Priority none => high
2020-06-11 22:38 cdorin Status assigned => confirmed
2020-06-11 22:38 cdorin Zoho Sprints => |Yes|
2020-06-11 22:38 swendrich Zoho Sprints ID => 14469000000125013
2020-06-11 22:39 cdorin Note Added: 58258
2020-06-17 22:56 gabrieljenik Note Added: 58328
2020-06-17 22:57 gabrieljenik Note Edited: 58328 View Revisions
2020-06-19 12:51 user225042 Note Added: 58353
2020-06-19 12:51 user225042 File Added: limesurvey_survey_275811.lss
2020-06-19 12:51 user225042 File Added: 16103_SwitchingLang_InlineText_DataPolicy.png
2020-06-19 12:51 user225042 File Added: 16103_SwitchingLang_InlineText_DataPolicy_Professional.png
2020-06-19 13:14 user225042 Note Added: 58354
2020-06-19 13:14 user225042 File Added: SystemInfo.png
2020-06-19 16:26 gabrieljenik Note Added: 58362
2020-06-19 16:34 user225042 Note Added: 58363
2020-06-19 16:34 user225042 File Added: 16103_Responsesadded.png
2020-06-19 16:44 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS cb242433
2020-06-19 16:44 guest Note Added: 58364
2020-06-19 16:49 ollehar Status confirmed => resolved
2020-06-19 16:49 ollehar Resolution open => fixed